// RoffModelInfoDialog.cpp : implementation file
//

#include "stdafx.h"
#include "RoffView.h"
#include "RoffModelInfoDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRoffModelInfoDialog dialog


CRoffModelInfoDialog::CRoffModelInfoDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CRoffModelInfoDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRoffModelInfoDialog)
	m_NumEdges = _T("0");
	m_NumPoly = _T("0");
	m_NumTris = _T("0");
	m_NumVert = _T("0");
	m_UEdges = _T("0");
	m_mostEdges = _T("0");
	//}}AFX_DATA_INIT
}


void CRoffModelInfoDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRoffModelInfoDialog)
	DDX_Text(pDX, IDC_MODINFO_NUMEDGES, m_NumEdges);
	DDX_Text(pDX, IDC_MODINFO_NUMPOLY, m_NumPoly);
	DDX_Text(pDX, IDC_MODINFO_NUMTRIS, m_NumTris);
	DDX_Text(pDX, IDC_MODINFO_NUMVERT, m_NumVert);
	DDX_Text(pDX, IDC_MODINFO_UEDGES, m_UEdges);
	DDX_Text(pDX, IDC_MODINFO_MOSTEDGES, m_mostEdges);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRoffModelInfoDialog, CDialog)
	//{{AFX_MSG_MAP(CRoffModelInfoDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRoffModelInfoDialog message handlers

void CRoffModelInfoDialog::setNumberOfEdges(CString numEdges){
	m_NumEdges = numEdges;
}
void CRoffModelInfoDialog::setNumberOfPolygons(CString numPoly){
	m_NumPoly = numPoly;
}
void CRoffModelInfoDialog::setNumberOfTriangles(CString numTris){
	m_NumTris = numTris;
}
void CRoffModelInfoDialog::setNumberOfVertices(CString numVert){
	m_NumVert = numVert;
}
void CRoffModelInfoDialog::setLargestPolygonSize(CString mostEdges){
	m_mostEdges = mostEdges;
}
void CRoffModelInfoDialog::setNumberOfUniqueEdges(CString UEdges){
	m_UEdges = UEdges;
}
