// RoffPhongFactorDialog.cpp : implementation file
//

#include "stdafx.h"
#include "RoffView.h"
#include "RoffPhongFactorDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// RoffPhongFactorDialog dialog


RoffPhongFactorDialog::RoffPhongFactorDialog(CWnd* pParent /*=NULL*/)
	: CDialog(RoffPhongFactorDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(RoffPhongFactorDialog)
	m_ambient = 0.0;
	m_diff = 0.0;
	m_specular = 0.0;
	//}}AFX_DATA_INIT
}


void RoffPhongFactorDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(RoffPhongFactorDialog)
	DDX_Text(pDX, IDC_AMB_FACTOR, m_ambient);
	DDV_MinMaxDouble(pDX, m_ambient, 0., 1.);
	DDX_Text(pDX, IDC_DIFF_FACTOR, m_diff);
	DDV_MinMaxDouble(pDX, m_diff, 0., 1.);
	DDX_Text(pDX, IDC_SPEC_FACTOR, m_specular);
	DDV_MinMaxDouble(pDX, m_specular, 0., 1.);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(RoffPhongFactorDialog, CDialog)
	//{{AFX_MSG_MAP(RoffPhongFactorDialog)
	ON_BN_CLICKED(ID_PF_RESET, OnReset)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// RoffPhongFactorDialog message handlers

void RoffPhongFactorDialog::OnReset() 
{
	m_ambient  = .6;
	m_diff     = .6;
	m_specular = .6;
	UpdateData(false);
}
