// RoffPolygon3D.h: interface for the RoffPolygon3D class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ROFFPOLYGON3D_H__43A2905B_5F3D_49AE_9E8B_4B143F6486C8__INCLUDED_)
#define AFX_ROFFPOLYGON3D_H__43A2905B_5F3D_49AE_9E8B_4B143F6486C8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afxtempl.h>
#include "RoffPolygonEdge.h"
#include "RoffVector.h"

class RoffPolygon3D  
{
public:
	RoffPolygon3D();
	RoffPolygon3D(char * stringVersion);
	virtual ~RoffPolygon3D();

	const RoffPolygon3D& operator=(const RoffPolygon3D& rhs);

	int getNumEdges();
	RoffPolygonEdge getEdge(int index);
    CString toString();
	int getVertex(int index);

	CArray<int, int> vertexIndexes;
	RoffVector normal;
};

#endif // !defined(AFX_ROFFPOLYGON3D_H__43A2905B_5F3D_49AE_9E8B_4B143F6486C8__INCLUDED_)
