// RoffPolygonEdge.cpp: implementation of the RoffPolygonEdge class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "RoffView.h"
#include "RoffPolygonEdge.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

RoffPolygonEdge::RoffPolygonEdge()
{

}

RoffPolygonEdge::~RoffPolygonEdge()
{

}

// This constructor puts edges in canonical form. This allows
// comparisons, sorting, and uniqueness checks. The vertex
// index in startIndex is always <= the vertex index in endIndex.
// (They should not, of course, ever really be the same).
RoffPolygonEdge::RoffPolygonEdge(int firstIndex, int secondIndex){
	if (firstIndex > secondIndex) {
		startIndex = secondIndex;
		endIndex = firstIndex;
	} else {
		startIndex = firstIndex;
		endIndex = secondIndex;
	}
}
