// RoffViewParameterDialog.cpp : implementation file
//

#include "stdafx.h"
#include "RoffView.h"
#include "RoffViewParameterDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// RoffViewParameterDialog dialog


RoffViewParameterDialog::RoffViewParameterDialog(CWnd* pParent /*=NULL*/)
	: CDialog(RoffViewParameterDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(RoffViewParameterDialog)
	m_atX = 0.0;
	m_atY = 0.0;
	m_atZ = 0.0;
	m_fromX = 0.0;
	m_fromY = 0.0;
	m_fromZ = 0.0;
	m_upX = 0.0;
	m_upY = 0.0;
	m_upZ = 0.0;
	m_viewAngle = 0.0;
	//}}AFX_DATA_INIT
}


void RoffViewParameterDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(RoffViewParameterDialog)
	DDX_Text(pDX, IDC_ATX, m_atX);
	DDX_Text(pDX, IDC_ATY, m_atY);
	DDX_Text(pDX, IDC_ATZ, m_atZ);
	DDX_Text(pDX, IDC_FROMX, m_fromX);
	DDX_Text(pDX, IDC_FROMY, m_fromY);
	DDX_Text(pDX, IDC_FROMZ, m_fromZ);
	DDX_Text(pDX, IDC_UPX, m_upX);
	DDX_Text(pDX, IDC_UPY, m_upY);
	DDX_Text(pDX, IDC_UPZ, m_upZ);
	DDX_Text(pDX, IDC_VIEWANGLE, m_viewAngle);
	DDV_MinMaxDouble(pDX, m_viewAngle, 0.5, 180.);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(RoffViewParameterDialog, CDialog)
	//{{AFX_MSG_MAP(RoffViewParameterDialog)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// RoffViewParameterDialog message handlers

void RoffViewParameterDialog::setAt(const RoffVector newAt) {
    m_atX = newAt.x;
	m_atY = newAt.y;
	m_atZ = newAt.z;
}

void RoffViewParameterDialog::setFrom(const RoffVector newFrom) {
    m_fromX = newFrom.x;
	m_fromY = newFrom.y;
	m_fromZ = newFrom.z;
}

void RoffViewParameterDialog::setUp(const RoffVector newUp) {
    m_upX = newUp.x;
	m_upY = newUp.y;
	m_upZ = newUp.z;
}
