#if !defined(AFX_ROFFVIEWParameterDIALOG_H__2A714A76_9820_4B92_9E1C_297652ABD3FC__INCLUDED_)
#define AFX_ROFFVIEWParameterDIALOG_H__2A714A76_9820_4B92_9E1C_297652ABD3FC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RoffViewParameterDialog.h : header file
//

#include "RoffVector.h"

/////////////////////////////////////////////////////////////////////////////
// RoffViewParameterDialog dialog

class RoffViewParameterDialog : public CDialog
{
// Construction
public:
	RoffViewParameterDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(RoffViewParameterDialog)
	enum { IDD = IDD_VIEW_DIALOG };
	double	m_atX;
	double	m_atY;
	double	m_atZ;
	double	m_fromX;
	double	m_fromY;
	double	m_fromZ;
	double	m_upX;
	double	m_upY;
	double	m_upZ;
	double	m_viewAngle;
	//}}AFX_DATA

public:
	void setAt(const RoffVector newAt);
	void setFrom(const RoffVector newFrom);
	void setUp(const RoffVector newUp);
	void setAngle(const double newAngle) {m_viewAngle = newAngle; }

	RoffVector getAt() const { return RoffVector(m_atX, m_atY, m_atZ); }
	RoffVector getFrom() const { return RoffVector(m_fromX, m_fromY, m_fromZ); }
	RoffVector getUp() const { return RoffVector(m_upX, m_upY, m_upZ); }
	double getAngle() const { return m_viewAngle; }

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(RoffViewParameterDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(RoffViewParameterDialog)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ROFFVIEWParameterDIALOG_H__2A714A76_9820_4B92_9E1C_297652ABD3FC__INCLUDED_)
